:: https://www.opengl.org/registry/#headers
::
:: prerequisite: none
set CURRENT_SCRIPT_DIR=%~dp0
cd %CURRENT_SCRIPT_DIR%

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=glext
set V=20140221
set B=1

set R=../../release/%P%
mkdir "%R%"

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%

cd %CURRENT_SCRIPT_DIR%
mkdir %P%-%V%-package\include\GL
cd %P%-%V%-package\include\GL
wget --no-check-certificate https://www.opengl.org/registry/api/GL/glext.h
if errorlevel 1 (echo Download error & goto exit)
::wget --no-check-certificate https://www.opengl.org/registry/api/GL/glxext.h
::if errorlevel 1 (echo Download error & goto exit)
wget --no-check-certificate https://www.opengl.org/registry/api/GL/wglext.h
if errorlevel 1 (echo Download error & goto exit)

cd %CURRENT_SCRIPT_DIR%

copy license.txt %P%-%V%-%B%.txt

tar -C %P%-%V%-package -cjf "%R%/%P%-%V%-%B%.tar.bz2" include
tar -C ../.. -cjf "%R%/%P%-%V%-%B%-src.tar.bz2"  osgeo4w\%P%\package.cmd osgeo4w\%P%\setup.hint osgeo4w\%P%\license.txt
tar -jtf "%R%/%P%-%V%-%B%.tar.bz2" | sed "s@\\\@/@g" | sed "s@//@/@g" > "%R%\%P%-%V%-%B%.manifest"
xcopy setup.hint "%R%"
xcopy "%P%-%V%-%B%.txt"  "%R%"

:exit
